@REM Author: Barry Searle
@REM
@REM (C) Copyright IBM Corp. 2004 - All Rights Reserved.
@REM DISCLAIMER:
@REM The following source code is sample code created by IBM Corporation.
@REM This sample code is not part of any standard IBM product and is provided
@REM to you solely for the purpose of assisting you in the development of your
@REM applications. The code is provided 'AS IS', without warranty or condition
@REM of any kind. IBM shall not be liable for any damages arising out of your
@REM use of the sample code, even if IBM has been advised of the possibility of
@REM such damages.
@REM
@REM Change History:
@REM 1.2 (14jan2005) reordered parameters
@REM 1.1 (17nov2004) initial version
@REM

setlocal

rem ########## SET these: ########
set WAS_ROOT=F:\WAS60\AppSvr\profiles\ND6
set JACLWASROOT=F:/WAS60/AppSvr/profiles/ND6
set JACLbaseDir=G:/RAD60/rwd/eclipse/plugins/com.ibm.etools.j2ee.ant_6.0.0.002/Example/AdderDeploy

rem ##### disable ('@REM') next lines to bypass manual (browser) check
set SERVERHTTP=bcsearle2:9080
set APP_CONTEXT=AdderWAR/AdderTest.jsp

@set DEPLOY_ROOT=%~dp0
@set DEPLOY_STAGE=-pilot
@set DEPLOY_FAIL=true
@set DEPLOY_ACTION=install
@set DEPLOY_DIST=%JACLbaseDir%/dist
@set DEPLOY_WAS=%JACLWASROOT%
@set script=%DEPLOY_ROOT%automatedDeploy.jacl

@if $%1$==$ant$ goto ant

:jacl
@echo FIRST install ...
call "%WAS_ROOT%\bin\wsadmin" -f "%script%"  %DEPLOY_ACTION%  %DEPLOY_STAGE%  %DEPLOY_FAIL%   "%DEPLOY_DIST%"   "%DEPLOY_WAS%"

@echo.
@echo SIMULATE OPERATOR MANUAL CHECK (BROWSE APP) ...
@if not $%SERVERHTTP%$==$$ call EXPLORER.EXE http://%SERVERHTTP%/%APP_CONTEXT%
@if not $%SERVERHTTP%$==$$ pause

@echo SECOND update ...
call "%WAS_ROOT%\bin\wsadmin" -f "%script%"  update     %DEPLOY_STAGE%  %DEPLOY_FAIL%   "%DEPLOY_DIST%"   "%DEPLOY_WAS%"

@echo.
@echo THIRD confirm ...
call "%WAS_ROOT%\bin\wsadmin" -f "%script%"  confirm    %DEPLOY_STAGE%  false           "%DEPLOY_DIST%"   "%DEPLOY_WAS%"

@echo.
@echo FOURTH uninstall ...
call "%WAS_ROOT%\bin\wsadmin" -f "%script%"  uninstall  %DEPLOY_STAGE%  %DEPLOY_FAIL%   "%DEPLOY_DIST%"   "%DEPLOY_WAS%"

@goto done

:ant
REM ########## edit automatedDeploy.xml  to set WASROOT location ##########
call "%WAS_ROOT%\bin\ws_ant" -buildfile "%DEPLOY_ROOT%/automatedDeploy.xml"

:done
@echo DONE.
