# ====================================================================================
# Licensed Materials - Property of IBM                                  
# IBM WebSphere SDK for Web Services, Version 5.0                     
# (C) Copyright IBM Corp. 2002,2003. All Rights Reserved                
# US Govt. Users Restricted Rights                                      
# Use duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
# ====================================================================================

args=
binDir=`dirname $0`

if [ "${IBM_RAD_BIN}" = "" ]
then
   . "$binDir/setupenv.sh" "$binDir"
fi


# Set up environment
AST_DIR="$IBM_RAD_BIN/../rwd/eclipse"

# PK52558: Let the setupenv.bat set the WAS_HOME value
# WAS_HOME="$IBM_RAD_BIN/../runtimes/base_v6"



# Get the classpath argument
finishedParsing=false
foundProject=false
usrClassPath=

while [ $finishedParsing = "false" ]
do
   if [ "$1" = "" ]
	then
		finishedParsing=true;
	else
      args="$args \"$1\""
   fi

   if [ "$1" = "-project" -a $foundProject = "false" ]
	then
      mkdir -p "$2/WEB-INF/classes"
		usrClassPath=`pwd`/$2:`pwd`/$2/WEB-INF/classes:$usrClassPath
      foundProject=true
	fi
	if [ "$1" = "-cp" ]
	then
		usrClassPath="$2":$usrClassPath
	fi
	shift
done

# Setup some environment variables


# Call the Bean2WebServiceClass

"$WAS_HOME/java/jre/bin/java" -cp "$AST_DIR/plugins/com.ibm.etools.webservice.was.creation.core_6.0.2.4/runtime/delegate.jar:$AST_DIR/plugins/com.ibm.websphere.rt.v6_1.0.0/lib/commons-logging-api.jar:$usrClassPath" -Dwsdk.app.server.home="$WAS_HOME" -Dwsad.wsdk.properties="$AST_DIR/plugins/com.ibm.etools.webservice.was.creation.core_6.0.2.4/properties/wsdk.properties" -DWSAD_DIR="$AST_DIR" com.ibm.wsdk.delegate.DelegateClass "$AST_DIR/plugins/com.ibm.etools.webservice.was.creation.core_6.0.2.4/classpath/ws_cmdlineCP.txt" com.ibm.wsdk.tools.tasks.console.Bean2WebService bean2webservice -wsad $args


echo ""

