//==================================================================
// Licensed Materials - Property of IBM
// (c) Copyright IBM Corp. 2003.  All rights reserved.
//
// US Government Users Restricted Rights - Use, duplication or
// disclosure restricted by GSA ADP Schedule Contract with IBM
// Corp.
//
// DISCLAIMER OF WARRANTIES.  The following [enclosed] code is
// sample code created by IBM Corporation.  This sample code is
// not part of any standard or IBM product and is provided to you
// solely for the purpose of assisting you in the development of
// your applications.  The code is provided "AS IS", without
// warranty of any kind.  IBM shall not be liable for any damages
// arising out of your use of the sample code, even if they have
// been advised of the possibility of such damages.
//==================================================================
//------------------------------------------------
// Javascript Alert and Confirm Messages			|
//------------------------------------------------
// Note: messages with arguments does not support multiple entries with same number.
// This means that if in one message, there are two {0}, only the first one will get replaced.
// Therefore please make sure to assign no duplicate number within one message.

//binder.js
var error_on_propertybinder = "Errore nel bonder di propriet\u00e0 {0}: {1}";
var invalid_value_OnPropertyBinderChange = "Valore non valido {0} per il tipo {1}";

//eclass.js
var unable_create_object = "Impossibile creare un eobject senza modello.";
var name_notexist_model = "{0} non esiste nel modello per la classe {1}.";
var invalid_value_4type = "Valore non valido {0} per il tipo {1}.";
var maximum_size_allowed_attribute = "La dimensione massima consentita \u00e8 {0} per l''attributo {1}";
var minimum_size_allowed_attribute = "La dimensione minima consentita \u00e8 {0} per l''attributo {1}";
var maximum_size_allowed_reference = "La dimensione massima consentita \u00e8 {0} per il riferimento {1}";
var minimum_size_allowed_reference = "La dimensione minima consentita \u00e8 {0} per il riferimento {1}";

//eobject.js
var invalid_argument="Argomento non valido.";
var xml_parse_error = "Errore Xml alla riga: {0} Pos: {1} \nOrigine: {2} \nMotivo: {3}";
var missing_model = "Modello mancante.";
var reference_missing_inmodel = "Riferimento {0} per la classe {1} mancante nel modello.";
var not_a_reference = "{0} non \u00e8 un riferimento per la classe {1}.";
var member_missing_inmodel = "Il membro {0} per la classe {1} manca nel modello.";
var member_not_eatt_or_eref_inmodel = "Il membro {0} per la classe {1} non \u00e8 un attributo eattribute n\u00e9 un ereference nel modello.";
var member__inmodel = "Il membro {0} per la classe {1} non \u00e8 un attributo eattribute n\u00e9 un ereference nel modello.";
var reference_not_class = "Il riferimento {0} per la classe {1} non \u00e8 una classe.";
var attribute_not_multivalue_inmodel = "L''attributo {1} nella classe {2} non consente pi\u00f9 valori.";
var class_missing_inmodel = "{0} per la classe {1} manca nel modello."
var attributecalculate_missing_indata = "Il calcolo dell'attributo {0} non deve esistere nei dati.";
var unable_create_object = "Impossibile creare un eobject per la propriet\u00e0 {0} senza il modello.";
var invalid_property = "Propriet\u00e0 non valida {0}";
var invalid_expression = "Espressione non valida: {0}.{1}.";
var property_cant_change = "La propriet\u00e0 {0} \u00e8 un attributo calcolato oppure \u00e8 un attributo in sola-lettura che non pu\u00f2 essere modificato."
var root_member_name_missing_error = "Il nome membro root per il grafico risulta mancante.";
var ecore_namespace_missing_error = "Spazio nomi Ecore per la generazione di un diffgram risulta mancante.";
var ereference_list_as_key_error ="Il riferimento {0} per la classe {1} ha una cardinalit\u00e0 maggiore di 1 e non pu\u00f2 essere utilizzato come parte di una chiave.";
var multivalue_attr_as_key_error ="L''attributo {0} per la classe {1} ha una cardinalit\u00e0 maggiore di 1 e non pu\u00f2 essere utilizzato come parte di una chiave.";


//ecreator.js
var unable_create_reference_nomodel = "Impossibile aggiungere ereferences senza modello.";
var unable_create_reference_noreference = "Impossibile aggiungere ereferences senza informazioni di riferimento.";
var add_attribute_2nullclass = "Tentativo di aggiunta attributi a una eclass null.";
var no_attribute_supply = "Tentativo di aggiunta attributi alla eclass {0}, ma non \u00e8 stato fornito alcun attributo.";
var add_reference_2nullclass = "Tentativo di aggiunta di ereferences a una eclass null.";
var mismatch_reference_length = "La eclass {0} definisce {1} riferimenti, ma ne sono stati trasmessi solo {2}.";


//datagridcontrol.js
var error_datagrid_action = "Errore nell''azione datagriglia {0}: {1}";
var label_delete = "Elimina";
var label_add_newrow = "Aggiungi nuova riga...";
var label_previous = "<";
var label_next = ">";
var label_accept = "Accetta";
var label_cancel = "Annulla";
var label_symbol = "simbolo";
var action_datagrid_addrow = "aggiunta riga";
var action_datagrid_removerow = "rimozione riga";
var action_datagrid_buildrow = "generazione riga";
var selectColName = "Seleziona";
var odcDGImgPrevious = "fare clic per passare alla pagina precedente";
var odcDGImgFirst = "fare clic per passare alla prima pagina";
var odcDGImgNext = "fare clic per passare alla pagina successiva";
var odcDGImgLast = "fare clic per passare all'ultima pagina";
var odcDGImgGo = "fare clic per passare alla pagina specificata";
var odcDGSkipToMainContent = "passa al contenuto principale";
var odcDGAscending = "ordinamento crescente";
var odcDGDescending = "ordinamento decrescente";
var odcDGNavigationPage = " Pagina {0} di {1} ";
var odcDGNavigationJump = " Passa alla pagina:  ";
var invalid_filter_expression = "L''espressione {0} specificata non \u00e8 valida, il messaggio di errore \u00e8 {1}";
var odcdgindexhead = "Riga #";
var odcDGSelection = "Selezione";
var odcDGImgSelectAll = "Seleziona tutto";
var odcDGImgUnSelectAll = "Deseleziona tutto";
var odcDGImgAddRow = "Aggiunge una nuova riga";
var odcDGImgDelRow = "Elimina una riga";
var odcDGImgAcceptRow = "Accetta";
var odcDGImgCancelRow = "Annulla";


var action_obfcontrolrender_errormsg = "Questo controllo non \u00e8 associato a nessun modello dati client \no il modello dati client \u00e8 nullo.";


//currency.js
var add_mismatch_currencycode = "Eccezione: aggiunta di importi con valute differenti. Il primo codice valuta: {0} \u00e8 diverso dal secondo: {1}";
var subtract_mismatch_currencycode = "Eccezione: sottrazione di importi con valute differenti. Il primo codice valuta: {0} \u00e8 diverso dal secondo: {1}";

//NLSService.js
var invalid_date_format = "Nessuna informazione formato dati disponibile.";
var invalid_date = "La data {0} non \u00e8 valida rispetto al formato selezionato: {1}";
var invalid_time_format = "Nessuna informazione sul formato ora disponibile.";
var invalid_time = "L''ora {0} non \u00e8 valida rispetto al formato selezionato: {1}";

//tabbedpanelcontrol.js
var label_tab_previous = "< Indietro";
var label_tab_next = "Avanti >";
var label_tab_cancel = "Annulla";
var label_tab_finish = "Fine";

//detectBrowser.js
var browser_not_support = "Il browser {0} utilizzato non \u00e8 supportato in questa applicazione.";

//treeControl.js
var odcTreeimgExpand = "Fare clic per ingrandire";
var odcTreeimgCollapse = "Fare clic per ridurre";
var odcTreeimgFolderOpen = "Cartella aperta";
var odcTreeimgFolderNormal = "Cartella chiusa";
var odcTreeimgLeaf = "Cartella";
var odcTreeNoChildErr = "Questo nodo non ha elementi secondari disponibili";

//chart draw variables
var chartdraw_lblPie = "Torta";
var chartdraw_lblBar = "Barra";
var chartdraw_lblLine = "Riga";
var chartdraw_tooltipShare = "Condividi";
var chartdraw_tooltipSeries = "Serie";
var chartdraw_tooltipLabel = "Etichetta";
var chartdraw_tooltipValue = "Valore";
var chartdraw_msgPieChartError = "Impossibile disegnare il grafico a torta.";
var chartdraw_lblShowAll = "Mostra tutte le serie";
var chartdraw_lblChartType = "Tipo di grafico";
var chartdraw_lblSeries = "Serie";
var no_data_series = "Nessuna serie di dati specificata. Aggiungere almeno una serie di dati al grafico.";
var no_data_atttribute = "Nessun nome attributo specificato per la serie - {0}. \nSelezionare un attributo dati valido per questa serie.";
var no_label_attribute = "Nessun attributo etichetta specificato. \nSelezionare un attributo etichetta valido";
var no_group_operation_specified= "Nessuna operazione di gruppo specificata per la serie: \n{0}.";
var invalid_group_operation = "Operazione di gruppo non valida - {1} - specificata per la serie - {0}. \nLe operazioni di gruppo consentite sono - SUM, AVG, COUNT, MAX, MIN, FIRST, LAST.";
var invalid_label_attribute = "Attributo etichetta non valido. \nSelezionare un attributo etichetta valido";
var invalid_data_atttribute = "Nome attributo dati non valido specificato per la serie - {0}. \nSelezionare un attributo dati valido per questa serie.";
var invalid_series_attribute_data_type = "Tipo di dati non valido specificato per il nome attributo nella serie - {0}. \nIl grafico pu\u00f2 essere tracciato solo se i valori dell''attributo sono numeri o date.";
var null_data_value = "La serie - {0}. contiene valori nulli. \nIl grafico pu\u00f2 essere tracciato solo se i valori dell''attributo non contengono valori nulli.";
var thousands_str = "migliaia";
var thousands10_str = "decine di migliaia";
var thousands100_str = "centinaia di migliaia";
var millions_str = "milioni";
var millions10_str = "decine di milioni";
var millions100_str = "centinaia di milioni";
var billions_str = "miliardi";
var billions10_str = "decine di miliardi";
var billions100_str = "centinaia di miliardi";

/***** PLEASE DO NOT TRANSLATE THIS -- START *****************/
var Scales = new Array();
Scales = [[100000000000.0, billions100_str] , [10000000000.0, billions10_str] , [1000000000.0, billions_str] , [100000000.0, millions100_str] , [10000000.0, millions10_str],  [1000000.0, millions_str],  [100000.0, thousands100_str] , [10000.0, thousands10_str] , [1000.0, thousands_str] ];
/***** PLEASE DO NOT TRANSLATE THIS -- END ********************/



//mask error variable
var mask_not_matched = "La lunghezza/contenuto della stringa non corrisponde alla maschera ad essa applicata";

//webservice
var error_mapping_output = "L'espressione di mapping del parametro di output specificato non \u00e8 valido";
var no_flash_component = "Impossibile trovare il riproduttore flash";
var error_mapping_input = "L'espressione di mapping del parametro di output specificato non \u00e8 valido";
var error_accessing_flash = "Impossibile trovare il riproduttore flash richiesto";

//progressbar
var start_load_model = "Avvio caricamento del modello dati {0}";
var end_load_model = "Fine caricamento del modello dati {0}";
var start_load_instance = "Avvio del caricamento dei dati dell''istanza per il modello {0}";
var end_load_instance = "Fine del caricamento dei dati dell''istanza per il modello {0}";
var start_render_control = "Avvio controllo rendering {0}";
var end_render_control = "Fine controllo rendering {0}";
var status_string =  "Stato : ";
var progressbar_header = "Caricamento pagina in corso";
var tabbed_panel = "Riquadro con schede";
var datagrid = "Griglia dati";
var webservice = "Servizio Web";
var treeview = "Vista ad albero";
var graphdraw = "Disegno grafico";
