#include <windows.h>
#include <process.h>

int WINAPI WinMain(HINSTANCE hInst, HINSTANCE 
hPrevInstance, LPSTR lpCmdLine, int cmdShow)
{
    PROCESS_INFORMATION pi;
    STARTUPINFO         si;

    memset( &si, 0, sizeof( si ) );
    si.cb = sizeof(si);
    si.dwFillAttribute = 0;
    si.dwFlags = STARTF_USESHOWWINDOW | STARTF_USESTDHANDLES;
    si.wShowWindow = SW_HIDE;
    si.hStdInput = ::GetStdHandle( STD_INPUT_HANDLE );
    si.hStdOutput = ::GetStdHandle( STD_OUTPUT_HANDLE );
    si.hStdError = ::GetStdHandle( STD_ERROR_HANDLE );
    BOOL ok = ::CreateProcess( NULL, lpCmdLine, NULL, NULL, 
TRUE, 0, NULL, NULL, &si, &pi );

    if( !ok ) return -1;
    DWORD result = ::WaitForSingleObject(pi.hProcess,INFINITE);
    switch( result ) {
    case WAIT_FAILED:
    case WAIT_ABANDONED:
    case WAIT_TIMEOUT:
        return -1;
    default:
        GetExitCodeProcess( pi.hProcess, &result );
        return result;
    }
}
