#!/bin/sh
# **************** This is only an example *********************
# *** 1) You must have edited runAnt.sh to set the "workspace"
# *** 2) You must have unzipped Example.zip to create the
# *** Example subdirectory, and its various project directories
# *** 3) You must run as root, or " chown MyName -R ./Example "
# **************************************************************
# *** Usage:  buildExample.sh

binDir=`dirname "$0"`
pwd=`pwd`
if [ $binDir = "." ] 
then
  binDir=$pwd
fi
RUNANT_DIR=$binDir

if [ -d $RUNANT_DIR/Example ]
then
  echo Example directory exists.
else
  echo ERROR: you must first unzip Example.zip to create the Example\AdderXxxx directory and files
  exit 1
fi

echo "invoking runAnt of Example/AdderBuild/automatedBuild.xml ..."
$RUNANT_DIR/runAnt.sh -buildfile  $RUNANT_DIR/Example/AdderBuild/automatedBuild.xml importAndBuildEverything

