#!/bin/sh
if [ "$IBM_RAD_BIN" = "" ] ; then
export IBM_RAD_BIN="$PWD"
if [ "$1" != "" ] ; then
export IBM_RAD_BIN="$1"
fi
export PATH="$IBM_RAD_BIN:$PATH"
fi
echo $IBM_RAD_BIN

# PK52558: determine the WAS_HOME value.  If the bi_v6 runtime exists then use it, otherwise default to base_v6
if [ "$WAS_HOME" = "" ] ; then
if [ -d "$IBM_RAD_BIN/../runtimes/bi_v6/" ] ; then
export WAS_HOME=$IBM_RAD_BIN/../runtimes/base_v6/
else
export WAS_HOME=$IBM_RAD_BIN/../runtimes/bi_v6/
fi
fi

# setup for J2EE 1.3
if [ "$IBM_WSSTUDIO_BIN" = "" ] ; then
export IBM_WSSTUDIO_BIN="$PWD"
if [ "$1" != "" ] ; then
export IBM_WSSTUDIO_BIN="$1"
export PATH="$IBM_WSSTUDIO_BIN:$PATH"
fi
fi
echo $IBM_WSSTUDIO_BIN
if [ -d "$IBM_WSSTUDIO_BIN/../runtimes/base_v51" ] ; then
export IBM_WSSTUDIO_TYPE="base"
else
export IBM_WSSTUDIO_TYPE="express"
fi
