//==================================================================
// Licensed Materials - Property of IBM
// (c) Copyright IBM Corp. 2003.  All rights reserved.
//
// US Government Users Restricted Rights - Use, duplication or
// disclosure restricted by GSA ADP Schedule Contract with IBM
// Corp.
//
// DISCLAIMER OF WARRANTIES.  The following [enclosed] code is
// sample code created by IBM Corporation.  This sample code is
// not part of any standard or IBM product and is provided to you
// solely for the purpose of assisting you in the development of
// your applications.  The code is provided "AS IS", without
// warranty of any kind.  IBM shall not be liable for any damages
// arising out of your use of the sample code, even if they have
// been advised of the possibility of such damages.
//==================================================================
//------------------------------------------------
// Javascript Alert and Confirm Messages			|
//------------------------------------------------
// Note: messages with arguments does not support multiple entries with same number.
// This means that if in one message, there are two {0}, only the first one will get replaced.
// Therefore please make sure to assign no duplicate number within one message.

//binder.js
var error_on_propertybinder = "Error en el enlazador de propiedades {0}: {1}";
var invalid_value_OnPropertyBinderChange = "El valor {0} no es v\u00e1lido para el tipo {1}";

//eclass.js
var unable_create_object = "No se puede crear eobject sin el modelo.";
var name_notexist_model = "{0} no existe en el modelo para la clase {1}.";
var invalid_value_4type = "El valor {0} no es v\u00e1lido para el tipo {1}.";
var maximum_size_allowed_attribute = "El tama\u00f1o m\u00e1ximo permitido es {0} para el atributo {1}";
var minimum_size_allowed_attribute = "El tama\u00f1o m\u00ednimo permitido es {0} para el atributo {1}";
var maximum_size_allowed_reference = "El tama\u00f1o m\u00e1ximo permitido es {0} para la referencia {1}";
var minimum_size_allowed_reference = "El tama\u00f1o m\u00ednimo permitido es {0} para la referencia {1}";

//eobject.js
var invalid_argument="Argumento no v\u00e1lido.";
var xml_parse_error = "Error XML en la l\u00ednea: {0} Pos: {1} \nFuente: {2} \nRaz\u00f3n: {3}";
var missing_model = "Modelo no encontrado.";
var reference_missing_inmodel = "La referencia {0} de la clase {1} no est\u00e1 en el modelo.";
var not_a_reference = "{0} no es una referencia de la clase {1}.";
var member_missing_inmodel = "El miembro {0} de la clase {1} no est\u00e1 en el modelo.";
var member_not_eatt_or_eref_inmodel = "El miembro {0} de la clase {1} no es un eattribute ni una ereference del modelo.";
var member__inmodel = "El miembro {0} de la clase {1} no es un eattribute ni una ereference del modelo.";
var reference_not_class = "La referencia {0} de la clase {1} no es una clase.";
var attribute_not_multivalue_inmodel = "El atributo {1} de la clase {2} no permite m\u00faltiples valores.";
var class_missing_inmodel = "{0} de la clase {1} no est\u00e1 en el modelo."
var attributecalculate_missing_indata = "El atributo calculate {0} no debe existir en los datos.";
var unable_create_object = "No se puede crear eobject para la propiedad {0} sin el modelo.";
var invalid_property = "La propiedad {0} no es v\u00e1lida";
var invalid_expression = "Expresi\u00f3n no v\u00e1lida: {0}.{1}.";
var property_cant_change = "La propiedad {0} es un atributo o atributo de solo lectura calculado que no se puede cambiar."
var root_member_name_missing_error = "Falta el nombre de miembro ra\u00edz para visitar todo el gr\u00e1fico";
var ecore_namespace_missing_error = "Falta el espacio de nombres Ecore para generar un diffgram";
var ereference_list_as_key_error ="La referencia {0} de la clase {1} tiene una cardinalidad mayor que 1 y no se puede utilizar como parte de una clave.";
var multivalue_attr_as_key_error ="El atributo {0} de la clase {1} tiene una cardinalidad mayor que 1 y no se puede utilizar como parte de una clave.";


//ecreator.js
var unable_create_reference_nomodel = "No se pueden a\u00f1adir ereferences sin un modelo.";
var unable_create_reference_noreference = "No se pueden a\u00f1adir ereferences sin informaci\u00f3n de referencia.";
var add_attribute_2nullclass = "Se est\u00e1 intentando a\u00f1adir atributos a una eclass nula.";
var no_attribute_supply = "Se est\u00e1 intentando a\u00f1adir atributos a la eclass '{0}', pero no se suministran los atributos.";
var add_reference_2nullclass = "Se est\u00e1 intentando a\u00f1adir ereferences a una eclass nula.";
var mismatch_reference_length = "La eclass '{0}' define {1} referencias, pero solo se han pasado {2}.";


//datagridcontrol.js
var error_datagrid_action = "Error en la acci\u00f3n de cuadr\u00edcula de datos {0}: {1}";
var label_delete = "Suprimir";
var label_add_newrow = "A\u00f1adir fila nueva...";
var label_previous = "<";
var label_next = ">";
var label_accept = "Aceptar";
var label_cancel = "Cancelar";
var label_symbol = "s\u00edmbolo";
var action_datagrid_addrow = "a\u00f1adiendo fila";
var action_datagrid_removerow = "eliminando fila";
var action_datagrid_buildrow = "creando fila";
var selectColName = "Seleccionar";
var odcDGImgPrevious = "pulse aqu\u00ed para ir a la p\u00e1gina anterior";
var odcDGImgFirst = "pulse aqu\u00ed para ir a la primera p\u00e1gina";
var odcDGImgNext = "pulse aqu\u00ed para ir a la p\u00e1gina siguiente";
var odcDGImgLast = "pulse aqu\u00ed para ir a la \u00faltima p\u00e1gina";
var odcDGImgGo = "pulse aqu\u00ed para ir a la p\u00e1gina que especifique";
var odcDGSkipToMainContent = "saltar al contenido principal";
var odcDGAscending = "ordenaci\u00f3n ascendente";
var odcDGDescending = "ordenaci\u00f3n descendente";
var odcDGNavigationPage = " P\u00e1gina {0} de {1} ";
var odcDGNavigationJump = " Saltar a la p\u00e1gina:  ";
var invalid_filter_expression = "La expresi\u00f3n que ha especificado {0} no es v\u00e1lida; el mensaje de error es {1}";
var odcdgindexhead = "Fila n\u00ba";
var odcDGSelection = "Selecci\u00f3n";
var odcDGImgSelectAll = "Seleccionar todo";
var odcDGImgUnSelectAll = "Deseleccionar todo";
var odcDGImgAddRow = "A\u00f1adir una fila nueva";
var odcDGImgDelRow = "Suprimir una fila";
var odcDGImgAcceptRow = "Aceptar";
var odcDGImgCancelRow = "Cancelar";


var action_obfcontrolrender_errormsg = "Este control no est\u00e1 enlazado a ning\u00fan modelo de datos de lado del cliente \n o el modelo de datos del lado del cliente es nulo.";


//currency.js
var add_mismatch_currencycode = "Excepci\u00f3n: se est\u00e1n sumando importes con distinta moneda. El primer c\u00f3digo de moneda {0} es distinto del segundo c\u00f3digo de moneda {1}";
var subtract_mismatch_currencycode = "Excepci\u00f3n: se est\u00e1n restando importes con distinta moneda. El primer c\u00f3digo de moneda {0} es distinto del segundo c\u00f3digo de moneda {1}";

//NLSService.js
var invalid_date_format = "No se dispone de informaci\u00f3n de formato de fecha.";
var invalid_date = "La fecha {0} no es v\u00e1lida tomando como base el formato elegido: {1}";
var invalid_time_format = "No se dispone de informaci\u00f3n de formato de hora.";
var invalid_time = "La hora {0} no es v\u00e1lida tomando como base el formato elegido: {1}";

//tabbedpanelcontrol.js
var label_tab_previous = "< Anterior";
var label_tab_next = "Siguiente >";
var label_tab_cancel = "Cancelar";
var label_tab_finish = "Finalizar";

//detectBrowser.js
var browser_not_support = "El navegador {0} que est\u00e1 utilizando no est\u00e1 soportado en esta aplicaci\u00f3n.";

//treeControl.js
var odcTreeimgExpand = "Pulse aqu\u00ed para expandir";
var odcTreeimgCollapse = "Pulse aqu\u00ed para contraer";
var odcTreeimgFolderOpen = "Carpeta abierta";
var odcTreeimgFolderNormal = "Carpeta cerrada";
var odcTreeimgLeaf = "Carpeta";
var odcTreeNoChildErr = "Este nodo no dispone de hijos";

//chart draw variables
var chartdraw_lblPie = "Sector";
var chartdraw_lblBar = "Barra";
var chartdraw_lblLine = "L\u00ednea";
var chartdraw_tooltipShare = "Compartir";
var chartdraw_tooltipSeries = "Serie";
var chartdraw_tooltipLabel = "Etiqueta";
var chartdraw_tooltipValue = "Valor";
var chartdraw_msgPieChartError = "El diagrama de sectores no se puede trazar.";
var chartdraw_lblShowAll = "Mostrar todas las series";
var chartdraw_lblChartType = "Tipo de diagrama";
var chartdraw_lblSeries = "Serie";
var no_data_series = "No se han especificado series de datos. A\u00f1ada al gr\u00e1fico una serie de datos como m\u00ednimo.";
var no_data_atttribute = "No se ha especificado un nombre de atributo de datos para la serie - {0}. \nSeleccione un atributo de datos que sea v\u00e1lido para esta serie.";
var no_label_attribute = "No se ha especificado un atributo de etiqueta. \nSeleccione un atributo de etiqueta que sea v\u00e1lido.";
var no_group_operation_specified= "No se ha especificado una operaci\u00f3n de grupo para la serie: \n{0}.";
var invalid_group_operation = "La operaci\u00f3n de grupo especificada {1} no es v\u00e1lida para la serie {0}. \nLas operaciones de grupo permitidas son: SUM, AVG, COUNT, MAX, MIN, FIRST, LAST.";
var invalid_label_attribute = "El atributo de etiqueta no es v\u00e1lido. \nSeleccione un atributo de etiqueta que sea v\u00e1lido.";
var invalid_data_atttribute = "El nombre de atributo de datos especificado no es v\u00e1lido para la serie - {0}. \nSeleccione un atributo de datos que sea v\u00e1lido para esta serie.";
var invalid_series_attribute_data_type = "El tipo de datos especificado no es v\u00e1lido para el nombre de atributo de la serie - {0}. \nEl gr\u00e1fico solo se puede trazar si los valores de los atributos son n\u00fameros o fechas.";
var null_data_value = "Serie - {0}. contiene valores nulos. \nEl gr\u00e1fico solo se puede trazar si los valores de atributo no contienen ning\u00fan valor nulo.";
var thousands_str = "miles";
var thousands10_str = "decenas de millares";
var thousands100_str = "centenas de millares";
var millions_str = "millones";
var millions10_str = "decenas de millones";
var millions100_str = "centenas de millones";
var billions_str = "miles de millones";
var billions10_str = "decenas de miles de millones";
var billions100_str = "centenas de miles de millones";

/***** PLEASE DO NOT TRANSLATE THIS -- START *****************/
var Scales = new Array();
Scales = [[100000000000.0, billions100_str] , [10000000000.0, billions10_str] , [1000000000.0, billions_str] , [100000000.0, millions100_str] , [10000000.0, millions10_str],  [1000000.0, millions_str],  [100000.0, thousands100_str] , [10000.0, thousands10_str] , [1000.0, thousands_str] ];
/***** PLEASE DO NOT TRANSLATE THIS -- END ********************/



//mask error variable
var mask_not_matched = "La longitud/contenido de la serie de caracteres no coincide con la m\u00e1scara que se le ha aplicado";

//webservice
var error_mapping_output = "La expresi\u00f3n de correlaci\u00f3n de par\u00e1metros de salida que ha especificado no es v\u00e1lida";
var no_flash_component = "No se puede localizar el reproductor flash necesario";
var error_mapping_input = "La expresi\u00f3n de correlaci\u00f3n de par\u00e1metros de entrada que ha especificado no es v\u00e1lida";
var error_accessing_flash = "No se puede localizar el reproductor flash necesario";

//progressbar
var start_load_model = "Se est\u00e1 empezando a cargar el modelo de datos {0}";
var end_load_model = "Se est\u00e1 terminando de cargar el modelo de datos {0}";
var start_load_instance = "Se est\u00e1n empezando a cargar datos de instancia para el modelo {0}";
var end_load_instance = "Se est\u00e1n terminando de cargar datos de instancia para el modelo {0}";
var start_render_control = "Se est\u00e1 empezando a representar el control {0}";
var end_render_control = "Se est\u00e1 terminando de representar el control {0}";
var status_string =  "Estado: ";
var progressbar_header = "Se est\u00e1 cargando la p\u00e1gina";
var tabbed_panel = "Panel con pesta\u00f1as";
var datagrid = "Cuadr\u00edcula de datos";
var webservice = "Servicio Web";
var treeview = "Vista de \u00e1rbol";
var graphdraw = "Trazado de gr\u00e1fico";
