//==================================================================
// Licensed Materials - Property of IBM
// (c) Copyright IBM Corp. 2003.  All rights reserved.
//
// US Government Users Restricted Rights - Use, duplication or
// disclosure restricted by GSA ADP Schedule Contract with IBM
// Corp.
//
// DISCLAIMER OF WARRANTIES.  The following [enclosed] code is
// sample code created by IBM Corporation.  This sample code is
// not part of any standard or IBM product and is provided to you
// solely for the purpose of assisting you in the development of
// your applications.  The code is provided "AS IS", without
// warranty of any kind.  IBM shall not be liable for any damages
// arising out of your use of the sample code, even if they have
// been advised of the possibility of such damages.
//==================================================================
//------------------------------------------------
// Javascript Alert and Confirm Messages			|
//------------------------------------------------
// Note: messages with arguments does not support multiple entries with same number.
// This means that if in one message, there are two {0}, only the first one will get replaced.
// Therefore please make sure to assign no duplicate number within one message.

//binder.js
var error_on_propertybinder = "vpeB[EoC_[ {0} ŃG[: {1}";
var invalid_value_OnPropertyBinderChange = "^Cv {1} ̒l {0} ";

//eclass.js
var unable_create_object = "fȂ eobject 쐬ł܂B";
var name_notexist_model = "{0} ̓NX {1} ̃fɑ݂܂B";
var invalid_value_4type = "^Cv {1} ̒l {0} łB";
var maximum_size_allowed_attribute = " {1} ɋőTCY {0} ł";
var minimum_size_allowed_attribute = " {1} ɋŏTCY {0} ł";
var maximum_size_allowed_reference = "Q {1} ɋőTCY {0} ł";
var minimum_size_allowed_reference = "Q {1} ɋŏTCY {0} ł";

//eobject.js
var invalid_argument="ȈłB";
var xml_parse_error = "̍sł XML G[: {0} ʒu: {1} \n\[X: {2} \nR: {3}";
var missing_model = "fĂ܂B";
var reference_missing_inmodel = "fɃNX {1} ̎Q {0} Ă܂B";
var not_a_reference = "{0} ̓NX {1} ̎QƂł͂܂B";
var member_missing_inmodel = "fɃNX {1} ̃o[ {0} Ă܂B";
var member_not_eatt_or_eref_inmodel = "f̃NX {1} ̃o[ {0} ́Aeattribute ł ereference ł܂B";
var member__inmodel = "f̃NX {1} ̃o[ {0} ́Aeattribute ł ereference ł܂B";
var reference_not_class = "NX {1} ̎Q {0} ̓NXł͂܂B";
var attribute_not_multivalue_inmodel = "NX {2} ̑ {1} ɂ͕̒lwł܂B";
var class_missing_inmodel = "fɃNX {1}  {0} Ă܂B"
var attributecalculate_missing_indata = "vZ {0} f[^Ɋ܂߂邱Ƃ͂ł܂B";
var unable_create_object = "fȂ΃vpeB[ {0}  eobject 쐬ł܂B";
var invalid_property = "ȃvpeB[ {0}";
var invalid_expression = "Ȏ: {0}.{1}.";
var property_cant_change = "vpeB[ {0} vZꂽ܂͓ǂݎp̑ŁAύXł܂B"
var root_member_name_missing_error = "fOt̃[gEo[Ă܂";
var ecore_namespace_missing_error = "diffgram p ecore OԂĂ܂B";
var ereference_list_as_key_error ="NX {1} ̎Q {0} ɂ 2 ȏ̊AL[̈ꕔƂĎgpł܂B";
var multivalue_attr_as_key_error ="NX {1} ̑ {0} ɂ 2 ȏ̊AL[̈ꕔƂĎgpł܂B";


//ecreator.js
var unable_create_reference_nomodel = "fȂ ereferences ǉł܂B";
var unable_create_reference_noreference = "QƏ񂪂Ȃ ereferences ǉł܂B";
var add_attribute_2nullclass = "NULL  eclass ւ̑̒ǉsłB";
var no_attribute_supply = "eclass '{0}' ւ̑̒ǉsłA񋟂Ă܂B";
var add_reference_2nullclass = "NULL  eclass ւ ereferences ̒ǉsłB";
var mismatch_reference_length = "eclass '{0}'  {1} QƂ`܂A{2} ݂̂pX܂B";


//datagridcontrol.js
var error_datagrid_action = "f[^EObhEANV {0} ŃG[: {1}";
var label_delete = "폜";
var label_add_newrow = "Vsǉ...";
var label_previous = "<";
var label_next = ">";
var label_accept = "";
var label_cancel = "LZ";
var label_symbol = "V{";
var action_datagrid_addrow = "s̒ǉ";
var action_datagrid_removerow = "s̏";
var action_datagrid_buildrow = "s̃rh";
var selectColName = "I";
var odcDGImgPrevious = "NbNőOy[W֖߂";
var odcDGImgFirst = "NbNŐ擪y[WɃWv";
var odcDGImgNext = "NbNŎy[W֐i";
var odcDGImgLast = "NbNōŌ̃y[WɃWv";
var odcDGImgGo = "NbNŎw̃y[WɃWv";
var odcDGSkipToMainContent = "CERecɃXLbv";
var odcDGAscending = "\[g";
var odcDGDescending = "~\[g";
var odcDGNavigationPage = " y[W {0} / {1} ";
var odcDGNavigationJump = "Wvy[W:";
var invalid_filter_expression = "w肳ꂽ {0} ͖łBG[EbZ[W {1} ł";
var odcdgindexhead = "s #";
var odcDGSelection = "I";
var odcDGImgSelectAll = "ׂđI";
var odcDGImgUnSelectAll = "Iׂĉ";
var odcDGImgAddRow = "Vsǉ";
var odcDGImgDelRow = "s̍폜";
var odcDGImgAcceptRow = "";
var odcDGImgCancelRow = "LZ";


var action_obfcontrolrender_errormsg = "̃Rg[͂ǂ̃NCAgETChEf[^EfɂoEhĂȂ\n ܂̓NCAgETChEf[^Ef Null łB";


//currency.js
var add_mismatch_currencycode = "O: قȂʉ݂ŗʂǉłBŏ̒ʉ݃R[h {0}  2 Ԗڂ̒ʉ݃R[h {1} ƈقȂ܂B";
var subtract_mismatch_currencycode = "O: قȂʉ݂ŗʂZłBŏ̒ʉ݃R[h {0}  2 Ԗڂ̒ʉ݃R[h {1} ƈقȂ܂B";

//NLSService.js
var invalid_date_format = "gp\ȓt`񂪂܂B";
var invalid_date = "t {0} ͑Iꂽ` {1} ɊÂLȓtł͂܂";
var invalid_time_format = "gp\Ȏ`񂪂܂B";
var invalid_time = " {0} ͑Iꂽ` {1} ɊÂLȎł͂܂";

//tabbedpanelcontrol.js
var label_tab_previous = "< ߂";
var label_tab_next = " >";
var label_tab_cancel = "LZ";
var label_tab_finish = "";

//detectBrowser.js
var browser_not_support = "gp̃uEU[ {0} ́ÃAvP[Vł̓T|[gĂ܂B";

//treeControl.js
var odcTreeimgExpand = "NbNœWJ";
var odcTreeimgCollapse = "NbNŏk";
var odcTreeimgFolderOpen = "JꂽtH_[";
var odcTreeimgFolderNormal = "ꂽtH_[";
var odcTreeimgLeaf = "tH_[";
var odcTreeNoChildErr = "̃m[hɂ͎gp\Ȏq܂";

//chart draw variables
var chartdraw_lblPie = "~";
var chartdraw_lblBar = "_";
var chartdraw_lblLine = "܂";
var chartdraw_tooltipShare = "p";
var chartdraw_tooltipSeries = "n";
var chartdraw_tooltipLabel = "x";
var chartdraw_tooltipValue = "l";
var chartdraw_msgPieChartError = "~Ot`ł܂B";
var chartdraw_lblShowAll = "ׂĂ̌n\";
var chartdraw_lblChartType = "}\^Cv";
var chartdraw_lblSeries = "n";
var no_data_series = "f[^n񂪎w肳Ă܂BOtɏȂƂ 1 ̃f[^nǉĂB";
var no_data_atttribute = "n {0} Ƀf[^w肳Ă܂B\ňnɗLȃf[^IĂB";
var no_label_attribute = "xw肳Ă܂B\nLȃxIĂB";
var no_group_operation_specified= "̌nɃO[vZw肳Ă܂: \n{0}B";
var invalid_group_operation = "n {0} Ɏw肳ꂽO[vZ {0} łB\nw\ȃO[vZ SUM, AVG, COUNT, MAX, MIN, FIRST, LAST łB";
var invalid_label_attribute = "xłB\nLȃxIĂB";
var invalid_data_atttribute = "n {0} Ɏw肳ꂽf[^łB\ňnɗLȃf[^IĂB";
var invalid_series_attribute_data_type = "n {0} ̑ɖȃf[^^w肳܂B\nOt͑l܂͓tłꍇɂ̂ݎƂł܂B";
var null_data_value = "n - {0}  Null l܂܂Ă܂B\n l Null lȂꍇɂ̂ݐ}\}邱Ƃł܂B";
var thousands_str = "3 ";
var thousands10_str = "3  10 ̈";
var thousands100_str = "3  100 ̈";
var millions_str = "6 ";
var millions10_str = "6  10 ̈";
var millions100_str = "6  100 ̈";
var billions_str = "9 ";
var billions10_str = "9  10 ̈";
var billions100_str = "9  100 ̈";

/***** PLEASE DO NOT TRANSLATE THIS -- START *****************/
var Scales = new Array();
Scales = [[100000000000.0, billions100_str] , [10000000000.0, billions10_str] , [1000000000.0, billions_str] , [100000000.0, millions100_str] , [10000000.0, millions10_str],  [1000000.0, millions_str],  [100000.0, thousands100_str] , [10000.0, thousands10_str] , [1000.0, thousands_str] ];
/***** PLEASE DO NOT TRANSLATE THIS -- END ********************/



//mask error variable
var mask_not_matched = "XgO̒/eKpꂽ}XNƈv܂";

//webservice
var error_mapping_output = "w肳ꂽo̓p[^[E}bsOgqł";
var no_flash_component = "KvȃtbVEv[[܂";
var error_mapping_input = "w肳ꂽ̓p[^[E}bsOgqł";
var error_accessing_flash = "KvȃtbVEv[[܂";

//progressbar
var start_load_model = "f[^Ef {0} ̃[hJn";
var end_load_model = "f[^Ef {0} ̃[hI";
var start_load_instance = "f {0} ̃CX^XEf[^̃[hJn";
var end_load_instance = "f {0} ̃CX^XEf[^̃[hI";
var start_render_control = "Rg[ {0} ̊Jn";
var end_render_control = "Rg[ {0} ̏I";
var status_string =  ": ";
var progressbar_header = "y[W̃[h";
var tabbed_panel = "^utpl";
var datagrid = "f[^EObh";
var webservice = "Web T[rX";
var treeview = "c[Er[";
var graphdraw = "Ot`";